Uploaded image for project: 'Sakai'
  1. Sakai
  2. SAK-13333

OSP Permissions upgrade displays numerous warnings

    Details

    • Type: Bug
    • Status: CLOSED
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.5.0
    • Fix Version/s: 2.5.2, 2.6.0
    • Component/s: OSP: Other
    • Labels:
      None

      Description

      Institutions without OSP see the following errors at startup when OSP tries to upgrade previous permissions (SAK-13205):

      On a recent build of 2-5-x (post 2.5.0) we are getting a bunch of these warnings on startup:

      INFO: init() (2008-03-28 19:04:28,545 main_org.theospi.portfolio.worksite.mgt.impl.WorksiteListGenerator)
      WARN: Unable to find user: /site/c8f56c54-23ed-4f87-00c1-6f5d1463cb5e/Student org.sakaiproject.exception.IdUnusedException id=/site/c8f56c54-23ed-4f87-00c1-6f5d1463cb5e (2008-03-28 19:04:28,688 main_org.sakaiproject.metaobj.security.impl.sakai.AgentManager)
      WARN: Unable to find user: /site/fec90b08-e254-46c1-8003-3ab9045abc03/Student org.sakaiproject.exception.IdUnusedException id=/site/fec90b08-e254-46c1-8003-3ab9045abc03 (2008-03-28 19:04:28,779 main_org.sakaiproject.metaobj.security.impl.sakai.AgentManager)
      WARN: Unable to find user: /site/837b2be9-09dd-4302-80c7-ee7cc6772aab/Instructor (2008-03-28 19:04:29,189 main_org.sakaiproject.metaobj.security.impl.sakai.AgentManager)
      (lots of them). The site ids referenced indeed do not exist.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  Unassigned
                  Reporter:
                  bkirschn Beth Kirschner
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  0 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:

                    Git Source Code